Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77474 - When using 'man' command, it will show '-' charcter as '? character
Summary: When using 'man' command, it will show '-' charcter as '? character
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-07 17:00 UTC by Hai Wu
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-08 20:36:31 UTC


Attachments (Terms of Use)

Description Hai Wu 2002-11-07 17:00:13 UTC
Description of Problem:
When using 'man' command, it will show '-' charcter as '?
If using "echo $LANG", output is: en_US.UTF-8

Have to using "LANG=en_US man ls" in order to show '-' correctly.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Tim Waugh 2002-11-07 17:14:21 UTC
Are you using 'screen', or some odd terminal program?

Comment 2 Hai Wu 2002-11-08 20:36:24 UTC
No I use console and Putty

Comment 3 Tim Waugh 2002-11-11 09:41:51 UTC
You need to set your terminal to use UTF-8, or else use 'LANG=C man'.


Note You need to log in before you can comment on or make changes to this bug.